<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<event category="STEP" id="0">
  <actions>
    <action id="603" library="1">
      <!--action name: Code-->
      <kind>CODE</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>true</canApplyTo>
      <actionType>CODE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">
if (isNotFrozen()) {
  if (counter &gt; 0) counter -= 1;
  if (not collision_point(x, y+16, oSolid, 0, 0)) instance_destroy();
}
</argument>
      </arguments>
    </action>
  </actions>
</event>
